ReplicationManagerSiteInfo (Oracle - Berkeley DB Java API)
Date: 2020-06-01

Package com.sleepycat.db

## Class ReplicationManagerSiteInfo

- java.lang.Object
- - com.sleepycat.db.ReplicationManagerSiteInfo

-     public class ReplicationManagerSiteInfo
      extends java.lang.Object

  A simple wrapper class to hold information needed to define a replication site.

  ReplicationManagerSiteInfo objects are returned by `Environment.getReplicationManagerSiteList`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `ReplicationHostAddress` | `addr` | The replication site's address
    `int` | `eid` | The replication site's identifier
    `LogSequenceNumber` | `maximumLSN` | The highest log number acknowledged as durable by this site.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReplicationManagerSiteInfo​(ReplicationHostAddress hostAddr, LogSequenceNumber max, int eid)` | Create a ReplicationManagerSiteInfo with the given information, isConnected defaults to false.
    `ReplicationManagerSiteInfo​(ReplicationHostAddress hostAddr, LogSequenceNumber max, int eid, boolean isConnected)` | Create a ReplicationManagerSiteInfo with the given information.
    `ReplicationManagerSiteInfo​(ReplicationHostAddress hostAddr, LogSequenceNumber max, int eid, boolean isConnected, boolean isElectable, boolean isPeer, boolean isView)` | Create a ReplicationManagerSiteInfo with the given information.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ReplicationManagerConnectionStatus` | `getConnectionStatus()` | The status of the replication site's connection.
    `boolean` | `isConnected()` | Deprecated. Replaced by `getConnectionStatus()`
    `boolean` | `isElectable()` | The replication site can be elected as master.
    `boolean` | `isPeer()` | The replication site is a peer.
    `boolean` | `isView()` | The replication site is a view.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### addr

          public ReplicationHostAddress addr

      The replication site's address

    - #### maximumLSN

          public LogSequenceNumber maximumLSN

      The highest log number acknowledged as durable by this site.

    - #### eid

          public int eid

      The replication site's identifier

  - ### Constructor Detail

    - #### ReplicationManagerSiteInfo

          public ReplicationManagerSiteInfo​(ReplicationHostAddress hostAddr,
                                            LogSequenceNumber max,
                                            int eid)

      Create a ReplicationManagerSiteInfo with the given information, isConnected defaults to false.
      Parameters:
        `hostAddr` - the host address
        `max` - the maximum log sequence number
        `eid` - the environment ID

    - #### ReplicationManagerSiteInfo

          public ReplicationManagerSiteInfo​(ReplicationHostAddress hostAddr,
                                            LogSequenceNumber max,
                                            int eid,
                                            boolean isConnected)

      Create a ReplicationManagerSiteInfo with the given information.
      Parameters:
        `hostAddr` - the host address
        `max` - the maximum log sequence number
        `eid` - the environment ID
        `isConnected` - is connected

    - #### ReplicationManagerSiteInfo

          public ReplicationManagerSiteInfo​(ReplicationHostAddress hostAddr,
                                            LogSequenceNumber max,
                                            int eid,
                                            boolean isConnected,
                                            boolean isElectable,
                                            boolean isPeer,
                                            boolean isView)

      Create a ReplicationManagerSiteInfo with the given information.
      Parameters:
        `hostAddr` - the host address
        `max` - the maximum log sequence number
        `eid` - the environment ID
        `isElectable` - is electable
        `isConnected` - is connected
        `isPeer` - is peer
        `isView` - is view

  - ### Method Detail

    - #### getConnectionStatus

          public ReplicationManagerConnectionStatus getConnectionStatus()

      The status of the replication site's connection.
      Returns:
        the status of the replication site's connection

    - #### isConnected

          @Deprecated
          public boolean isConnected()

      Deprecated.
      Replaced by `getConnectionStatus()`
      The replication site is connected.
      Returns:
        if the replication site is connected

    - #### isElectable

          public boolean isElectable()

      The replication site can be elected as master.
      Returns:
        if the replication site can be elected as master

    - #### isPeer

          public boolean isPeer()

      The replication site is a peer.
      Returns:
        if the replication site is a peer

    - #### isView

          public boolean isView()

      The replication site is a view.
      Returns:
        if the replication site is a view

Copyright (c) 1996, 2020 Oracle and/or its affiliates. All rights reserved.